---
title: TouchEvent.changedTouches
slug: Web/API/TouchEvent/changedTouches
tags:
  - API
  - DOM
  - DOM Reference
  - Mobile
  - Property
  - Read-only
  - Reference
  - TouchEvent
  - touch
---
<div>{{ APIRef("Touch Events") }}</div>

<p>The <code><strong>changedTouches</strong></code> read-only property is a {{ domxref("TouchList") }} whose touch points ({{domxref("Touch")}} objects) varies depending on the event type, as follows:</p>

<ul>
 <li>For the {{event("touchstart")}} event, it is a list of the touch points that became active with the current event.</li>
 <li>For the {{event("touchmove")}} event, it is a list of the touch points that have changed since the last event.</li>
 <li>For the {{event("touchend")}} event, it is a list of the touch points that have been removed from the surface (that is, the set of touch points corresponding to fingers no longer touching the surface).</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>changes</em> = <em>touchEvent</em>.changedTouches;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>changes</code></dt>
 <dd>A {{ domxref("TouchList") }} whose {{ domxref("Touch") }} objects include all the touch points that contributed to this touch event.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates the {{domxref("TouchEvent")}} object's {{domxref("TouchEvent.changedTouches")}} property. The {{domxref("TouchEvent.changedTouches")}} property is a {{domxref("TouchList")}} object that contains one {{domxref("Touch")}} object for each touch point which contributed to the event.</p>

<p>In following code snippet, the {{event("touchmove")}} event handler iterates through the <code>changedTouches</code> list and prints the identifier of each touch point that changed since the last event.</p>

<pre class="brush: js">someElement.addEventListener('touchmove', function(e) {
   // Iterate through the list of touch points that changed
   // since the last event and print each touch point's identifier.
   for (var i=0; i &lt; e.changedTouches.length; i++) {
     console.log("changedTouches[" + i + "].identifier = " + e.changedTouches[i].identifier);
   }
}, false);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchevent-changedtouches')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchEvent-changedTouches')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.changedTouches")}}</p>
